Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.traindesign.domain
Class RailNode

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.traindesign.domain.RailNode

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class RailNode

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`RailNode()`

Method Summary
`int` | `getBlockSwapCost()`
`String` | `getCode()`
`List<RailArc>` | `getOriginatingRailArcList()`
`Map<RailNode,RailNodeShortestPath>` | `getShortestPathMap()`
`RailNodeShortestPath` | `getShortestPathTo(RailNode other)`
`void` | `initializeShortestPathMap(List<RailNode> railNodeList)`
`void` | `setBlockSwapCost(int blockSwapCost)`
`void` | `setCode(String code)`
`void` | `setOriginatingRailArcList(List<RailArc> originatingRailArcList)`
`void` | `setShortestPathMap(Map<RailNode,RailNodeShortestPath> shortestPathMap)`
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RailNode

    public RailNode()

Method Detail

### getCode

    public String getCode()

### setCode

    public void setCode(String code)

### getBlockSwapCost

    public int getBlockSwapCost()

### setBlockSwapCost

    public void setBlockSwapCost(int blockSwapCost)

### getOriginatingRailArcList

    public List<RailArc> getOriginatingRailArcList()

### setOriginatingRailArcList

    public void setOriginatingRailArcList(List<RailArc> originatingRailArcList)

### getShortestPathMap

    public Map<RailNode,RailNodeShortestPath> getShortestPathMap()

### getShortestPathTo

    public RailNodeShortestPath getShortestPathTo(RailNode other)

### setShortestPathMap

    public void setShortestPathMap(Map<RailNode,RailNodeShortestPath> shortestPathMap)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

### initializeShortestPathMap

    public void initializeShortestPathMap(List<RailNode> railNodeList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.